local Sequences = GSMasterSequences

------------------
----- Death Knight
------------------

Sequences['SSR_Blood'] = {
specID = 250,
author = "John Mets",
helpTxt = "As for talents (2212213) but does run real smooth if you have Разбитое сердце, Пожирание душ and Склеп.",
StepFunction = GSStaticPriority,
PreMacro = [[
/Cast [combat] Кровь вампира
/Cast [combat] Танцующее руническое оружие
]],
'/cast Дробление хребта',
"/castsequence reset=combat Прикосновение смерти, Вскипание крови, Удар смерти, Вскипание крови, Дробление хребта",
"/castsequence reset=combat Прикосновение смерти, Вскипание крови, Вскипание крови, Удар смерти, Пожирание душ",
"/cast Удар в сердце",
"/cast Удар смерти",
PostMacro = [[
/cast [mod:alt] Антимагический панцирь
/TargetEnemy [noharm][dead]
/Use [combat] 13
/Use [combat] 14
]],
}

Sequences['SSR_Frost'] = {
specID = 251,
author = "Suiseiseki",
helpTxt = "Talents: 2132113",
StepFunction = GSStaticPriority,
PreMacro = [[
/use [combat] Уничтожение
/use [combat] Ледяной столп
]],
'/cast [combat] Ледяной натиск',
'/cast Ледяной удар',
"/cast [combat] Беспощадность зимы",
'/castsequence Воющий ветер, Ледяная коса, Воющий ветер, Уничтожение',
'/castsequence Воющий ветер, Воющий ветер, Ледяная коса, Воющий ветер, Уничтожение',
PostMacro = [[
]],
}

Sequences['SSR_Frost2'] = {
specID = 251,
author = "Tazkilla",
helpTxt = "Talents:1111131",
StepFunction = GSStaticPriority,
PreMacro = [[
/cast [combat] Ледяной столп
/cast [combat] Антимагический панцирь
]],
'/castsequence reset=combat Ледяной удар',
'/cast Уничтожение',
'/cast Уничтожение',
'/castsequence reset=combat Воющий ветер, Воющий ветер, Воющий ветер, Уничтожение',
'/castsequence reset=combat Воющий ветер, Воющий ветер, Воющий ветер, Воющий ветер',
PostMacro = [[
/targetenemy [noharm][dead]
]],
}

Sequences['SSR_Frost3'] = {
specID = 251,
author = "John Mets",
helpTxt = "Talents 2133121",
StepFunction = GSStaticPriority,
PreMacro = [[
/cast [combat] Ледяной столп
]],
"/castsequence reset=combat Уничтожение, Ледяной удар",
'/castsequence reset=combat Уничтожение, Ледяной удар, Ледяной удар, Уничтожение, Воющий ветер',
"/castsequence reset=combat Уничтожение",
"/cast [combat] Беспощадность зимы",
"/cast [combat] Усиление рунического оружия",
PostMacro = [[
/targetenemy [noharm][dead]
/cast [combat] Антимагический панцирь
/use [combat] 12
/use [combat] 13
/use [combat] 14
]],
}

Sequences['SSR_Unholy'] = {
PreMacro = [[
/targetenemy [noharm][dead]
]],
specID = 252,
author = "throwryuken",
helpTxt = "Talents 2221213",
'/cast [nochanneling] Воскрешение мертвых',
'/cast [nochanneling] Вспышка болезни',
'/cast [nochanneling] Темное превращение',
'/cast [nochanneling] Удар разложения',
'/cast [nochanneling] Удар Плети',
'/cast [nochanneling] Жнец душ',
'/cast [nochanneling] Удар смерти',
'/cast [nochanneling] Призыв горгульи',
'/cast [nochanneling] Лик смерти',
PostMacro = [[
/startattack
]],
}
