local Sequences = GSMasterSequences

------------------
----- Druid
------------------
--Guardian 104
--Feral 103
--Balance 102

Sequences['SSR_bear1'] = {
specID = 104,
author = "John Mets www.wowlazymacros.com",
helpTxt = " Talents: 2331111",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
"/castsequence reset=combat Взбучка, Лунный огонь, Трепка, Размах",
"/castsequence reset=combat Savage Defense, Размах, Размах, Savage Defense ,Неистовое восстановление, Iron Fur",
"/cast Инстинкты выживания",
"/cast Взбучка",
"/castsequence reset=combat Размах, Лунный огонь, Трепка, Увечье, Iron Fur",
"/cast Раздавить",
"/cast Парализующий рык",
"/cast [combat] Дубовая кожа",
"/cast [combat] Мощное оглушение",
"/cast [combat] Берсерк",
"/castsequence Щит Кенария",
PostMacro = [[
/startattack
]],
}

Sequences['SSR_bear2'] = {
specID = 104,
author = "John Mets www.wowlazymacros.com",
helpTxt = " Talents: 2331111",
PreMacro = [[
/targetenemy [noharm][dead]
]],
"/castsequence Взбучка, Взбучка, Взбучка, Раздавить",
"/castsequence reset=5 Savage Defense, Размах, Размах, Неистовое восстановление",
"/castsequence [combat] reset=target Лунный огонь, Массовое оплетение",
"/cast !Увечье",
"/castsequence reset=12 Трепка",
"/cast Инстинкты выживания",
"/cast Взбучка",
"/castsequence Размах, Лунный огонь, Трепка, Увечье",
"/cast Взбучка",
"/castsequence Размах, Лунный огонь, Трепка, Увечье",
"/cast Взбучка",
"/cast Раздавить",
"/cast Парализующий рык",
"/castsequence [combat] reset=60 Дубовая кожа",
"/castsequence [combat] reset=180 Берсерк",
"/castsequence reset=30 Щит Кенария",
PostMacro = [[
/startattack
]],
}

Sequences['SSR_Feral-ST'] = {
specID = 103,
author = "Jimmy www.wowlazymacros.com",
helpTxt = "2231123",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/castsequence [@player,nostance:2] Облик кошки(Shapeshift)
/cast [nostealth,nocombat] Крадущийся зверь
/stopattack [stealth]
]],
'/castsequence [combat,nostealth] Глубокая рана,Полоснуть,Полоснуть,Глубокая рана,Полоснуть,Разорвать',
'/castsequence [combat,nostealth] Полоснуть,Глубокая рана,Полоснуть,Полоснуть,Глубокая рана,Свирепый укус',
PostMacro = [[
/startattack
/cast Тигриное неистовство
/use [combat]13
/use [combat]14
]],
}

Sequences['SSR_Feral-AoE'] = {
specID = 103,
author = "Jimmy www.wowlazymacros.com",
helpTxt = "2231123",
StepFunction = GSStaticPriority,
 PreMacro = [[
/targetenemy [noharm][dead]
/castsequence [@player,nostance:2] Облик кошки(Shapeshift)
/cast [nostealth,nocombat] Крадущийся зверь
/stopattack [stealth]
]],
'/castsequence [combat,nostealth] Взбучка,Размах,Размах,Взбучка,Размах,Разорвать',
'/castsequence [combat,nostealth] Размах,Взбучка,Размах,Размах,Взбучка,Свирепый укус',
PostMacro = [[
/startattack
/cast Тигриное неистовство
/use [combat]13
/use [combat]14
]],
}

Sequences['SSR_feralaoe'] = {
specID = 103,
author = "lloskka www.wowlazymacros.com",
helpTxt = "Talents 2331223",
PreMacro = [[
/targetenemy [noharm][dead]
/use [noform:2]Облик кошки
/cast [nostealth,nocombat] Крадущийся зверь
/console Sound_EnableSFX 0
]],
[[/cast [combat] !Воплощение: Король джунглей]],
[[/cast [combat] !Мощное оглушение]],
[[/castsequence reset=combat Глубокая рана,Взбучка,Размах,Размах,Размах,Свирепый укус]],
PostMacro = [[
/cast [combat] !Инстинкты выживания
/cast [combat] !Тигриное неистовство
/use [combat] 11
/use [combat] 12
/startattack
]],
}

Sequences['SSR_feralsingle'] = {
specID = 103,
author = "lloskka www.wowlazymacros.com",
helpTxt = "Talents 2331223",
PreMacro = [[
/cast Стремительный рывок
/targetenemy [noharm][dead]
]],
'/castsequence reset=combat Глубокая рана,Полоснуть,Полоснуть,Полоснуть,!Разорвать,Глубокая рана,Полоснуть,Полоснуть,Полоснуть,Свирепый укус,Глубокая рана,Полоснуть,Полоснуть,Полоснуть,Свирепый укус',
'/use [combat] Берсерк',
'/use [combat] Инстинкты выживания',
'/cast Воплощение: Король джунглей',
PostMacro = [[
/startattack
/cast Тигриное неистовство
/use [combat] 11
/use [combat] 12
]],
}

Sequences['SSR_Boomer'] = {
specID = 102,
author = "Draik",
helpTxt = "2323112",
 PreMacro = [[
/targetenemy [noharm][dead]
/use [noform]!Облик лунного совуха
]],
'/cast Лунный огонь',
'/cast Солнечный огонь',
'/castsequence [combat] Солнечный гнев,Лунный удар,Солнечный гнев,Лунный удар,Солнечный гнев,Солнечный гнев',
'/cast Звездный поток',
PostMacro = [[
/startattack
/use [combat]13
/use [combat]14
]],
}


Sequences['SSR_RestoBoomer'] = {
specID = 105,
author = "Draik",
helpTxt = "2312232",
 PreMacro = [[
/targetenemy [noharm][dead]
/use [noform]!Облик лунного совуха
]],
'/cast Лунный огонь',
'/cast Солнечный огонь',
'/castsequence [combat] Солнечный гнев,Лунный удар,Солнечный гнев,Лунный удар,Солнечный гнев,Солнечный гнев',
'/cast Звездный поток',
PostMacro = [[
/startattack
/use [combat]13
/use [combat]14
]],
}
