local Sequences = GSMasterSequences

------------------
----- Hunter
------------------
Sequences['SSR_RBMAoE'] = {
specID = 253,
author = "John",
helpTxt = "Raiding AoE - Talent: 3212233",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/startattack
/petattack [@target,harm]
/petautocastoff [group] Growl
/petautocaston [nogroup] Growl
/cast [target=focus, exists, nodead],[target=pet, exists, nodead] Перенаправление
]],
"/cast [nochanneling] Звериный гнев",
"/cast [nochanneling] !Команда \"Взять!\"",
"/cast [nochanneling] Ужасное бешенство",
"/cast [nochanneling] Залп",
"/cast [nochanneling] Гром титанов",
"/cast [nochanneling] !Команда \"Взять!\"",
"/cast [nochanneling] Звериный гнев",
PostMacro = [[
/cast Дух дикой природы
/use [combat]11
/use [combat]13
/use [combat]14
]],
}

Sequences['SSR_RBMmain'] = {
specID = 253,
author = "John",
helpTxt = "Raiding main - Talent: 3212233",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/startattack
/petattack [@target,harm]
/petautocastoff [group] Growl
/petautocaston [nogroup] Growl
/cast [target=focus, exists, nodead],[target=pet, exists, nodead] Перенаправление
]],
"/cast [nochanneling] Звериный гнев",
"/cast [nochanneling] !Команда \"Взять!\"",
"/cast [nochanneling] Ужасное бешенство",
"/cast [nochanneling] Контузящий выстрел",
"/cast [nochanneling] Выстрел кобры",
"/cast [nochanneling] Гром титанов",
"/cast [nochanneling] !Команда \"Взять!\"",
"/cast [nochanneling] Звериный гнев",
PostMacro = [[
/cast Дух дикой природы
/use [combat]11
/use [combat]13
/use [combat]14
]],
}

Sequences['SSR_lookdead'] = {
specID = 253,
author = "John",
helpTxt = "Look Dead - Talent: 3222321",
icon = "Ability_Mage_TormentOfTheWeak",
StepFunction = GSStaticPriority,
"/cast [nochanneling] Притвориться мертвым",
"/cast [nochanneling] Ложная смерть",
}

Sequences['SSR_OShit'] = {
specID = 253,
author = "John",
helpTxt = "Oh Shit - Talent: 3222321",
icon = "Ability_Hunter_MendPet",
StepFunction = GSStaticPriority,
"/cast Дух черепахи",
"/cast [target=player, help] Spirit Mend",
"/cast [nochanneling] Живость",
"/cast [nochanneling] !Лечение питомца",
"/use Healing Tonic",
}

Sequences['SSR_BMburst'] = {
specID = 253,
author = "John",
helpTxt = "BMAoE - Talent: 3222321",
icon = "Ability_Hunter_KillCommand",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/startattack
/petattack [@target,harm]
/petautocastoff [group] Growl
/petautocaston [nogroup] Growl
/cast [target=focus, exists, nodead],[target=pet, exists, nodead] Перенаправление
]],
"/cast [nochanneling] Звериный гнев",
"/cast [nochanneling] Звериный натиск",
"/cast [nochanneling] Устрашение",
"/cast Шквал",
"/cast [nochanneling] Залп",
"/cast [nochanneling] Гром титанов",
PostMacro = [[
/cast Дух дикой природы
/use [combat]11
/use [combat]13
/use [combat]14
]],
}

Sequences['SSR_Healpet'] = {
specID = 253,
author = "John",
helpTxt = "Pet Heal - Talent: 3222321",
StepFunction = GSStaticPriority,
"/cast [nochanneling] !Лечение питомца",
"/cast [nochanneling] Живость",
}

Sequences['SSR_BM2'] = {
specID = 253,
author = "John",
helpTxt = "Without Шквал - Talent: 3222321",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/startattack
/petattack [@target,harm]
/petautocastoff [group] Growl
/petautocaston [nogroup] Growl
/cast [target=focus, exists, nodead],[target=pet, exists, nodead] Перенаправление
]],
"/cast [nochanneling] Звериный гнев",
"/cast [nochanneling] !Команда \"Взять!\"",
"/cast [nochanneling] Ужасное бешенство",
"/cast [nochanneling] Устрашение",
"/cast [nochanneling] Выстрел кобры",
"/cast [nochanneling] Контузящий выстрел",
"/cast [nochanneling] Гром титанов",
"/cast [nochanneling] !Команда \"Взять!\"",
"/cast [nochanneling] Звериный гнев",
PostMacro = [[
/cast Дух дикой природы
/use [combat]11
/use [combat]13
/use [combat]14
]],
}

Sequences['SSR_BM1'] = {
specID = 253,
author = "John",
helpTxt = "With Шквал - Talent: 3222321",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/startattack
/petattack [@target,harm]
/petautocastoff [group] Growl
/petautocaston [nogroup] Growl
/cast [target=focus, exists, nodead],[target=pet, exists, nodead] Перенаправление
]],
"/cast [nochanneling] Звериный гнев",
"/cast [nochanneling] !Команда \"Взять!\"",
"/cast [nochanneling] Устрашение",
"/cast [nochanneling] Ужасное бешенство",
"/cast Шквал",
"/cast [nochanneling] Гром титанов",
"/cast [nochanneling] !Команда \"Взять!\"",
"/cast [nochanneling] Звериный гнев",
PostMacro = [[
/cast Дух дикой природы
/use [combat]11
/use [combat]13
/use [combat]14
]],
}
