local Sequences = GSMasterSequences

------------------
----- Paladin
------------------

-------------------
-- Protection - 66
-------------------
Sequences['SSR_Prot'] = {
specID = 66,
author = "Maurice Greer",
helpTxt = "Protection single target tanking macro.",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
"/cast Щит мстителя",
'/cast Правосудие',
'/cast Молот праведника',
'/cast Гнев небес',
"/cast Щит мстителя",
'/cast Hammer of Wrath',
'/cast Освящение',
PostMacro = [[
/cast Щит праведника
/startattack
]],
}

-------------------
-- Воздаяние - 70
-------------------

Sequences['SSR_Ret'] = {
specID = 70,
author = "Draik",
helpTxt = "Воздаяние Single Target macro - 3311112.",
icon = "INV_Sword_2H_AshbringerCorrupt",
PreMacro = [[
/targetenemy [noharm][dead]
]],
'/cast Правосудие',
'/cast Удар воина Света',
'/cast Клинок Справедливости',
'/cast [combat]!Освящение',
'/cast [combat]!Священная война',
'/cast !Испепеляющий след',
"/cast Вердикт храмовника",
PostMacro = [[
/use [combat]13
/use [combat]14
]],
}

Sequences['SSR_RetAoE'] = {
specID = 70,
author = "Draik",
helpTxt = "Воздаяние AoE macro - 3311112.",
icon = "Ability_Paladin_DivineStorm",
PreMacro = [[
/targetenemy [noharm][dead]
]],
'/cast Правосудие',
'/cast Удар воина Света',
'/cast Клинок Справедливости',
'/cast [combat]!Освящение',
'/cast [combat]!Священная война',
'/cast !Испепеляющий след',
"/cast Божественная буря",
PostMacro = [[
/use [combat]13
/use [combat]14
]],
}


-------------------
-- Holy - 65
-------------------

Sequences['SSR_HolyDeeps'] = {
specID = 65,
author = "Draik",
helpTxt = "Holy DPS levelling macro - 3131123.",
icon = "Ability_Paladin_InfusionofLight",
PreMacro = [[
/targetenemy [noharm][dead]
]],
'/cast Правосудие',
'/cast Удар воина Света',
'/cast Освящение',
'/cast [combat]!Гнев карателя',
'/cast !Слепящий свет',
'/cast Шок небес',
'/cast Божественная защита',
PostMacro = [[
/use [combat]13
/use [combat]14
]],
}
