local Sequences = GSMasterSequences

------------------
----- Shaman
------------------
-- Elemental 262


Sequences['SSR_EnhST'] = {
specID = 263,
author = "Suiseiseki - stan",
helpTxt = "Single Target",
PreMacro = [[
/targetenemy [noharm][dead]
]],
"/castsequence [combat] Сокрушающая молния, Вскипание лавы, Вскипание лавы",
"/cast Удар бури",
"/castsequence Язык пламени, Камнедробитель, Камнедробитель, Камнедробитель, Камнедробитель, Камнедробитель",
'/cast Песнь ветра',
PostMacro = [[
/cast Свирепый выпад
/use [combat] 13
/use [combat] 14
]],
}


Sequences['SSR_enhsingle'] = {
specID = 263,
author = "lloskka",
helpTxt = "Talents  3112112 - Artifact Order: Ветра Рока, Молот бурь, Усиливающаяся буря, Удары ветра, Волнующийся ветер, Оружие стихий, Стихийное исцеление, and all the way to Высвобожденный Рок",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
[[/castsequence Тяжелый кулак, Сокрушающая молния, !Удар бури;]],
[[/castsequence Тяжелый кулак, Удар бури, Сокрушающая молния;]],
[[/castsequence [nochanneling] Тяжелый кулак, Тяжелый кулак, !Сокрушающая молния;]],
[[/castsequence Тяжелый кулак, Тяжелый кулак;]],
[[/cast Молния;]],
PostMacro = [[
/startattack
/use [combat] 11
/use [combat] 12
/cast [combat] Ветра Рока
]],
}



Sequences['SSR_RestoDeeps'] = {
specID = 264,
author = "Draik",
helpTxt = "Talents - 3211233",
PreMacro = [[
/targetenemy [noharm][dead]
]],
'/cast Цепная молния',
'/cast Огненный шок',
'/cast Eathern Щит Totem',
'/cast Выброс лавы',
'/cast Lightning Bold',
'/cast Тотем выброса тока',
PostMacro = [[
/use [combat] 13
/use [combat] 14
]],
}
