local Sequences = GSMasterSequences

------------------
----- Warrior
------------------
-- ARMS - 71



---Legion Fury Warrior - 2,3,3,2,2,2,3

Sequences['SSR_Fury1'] = {
specID = 72,
author = "Firone - wowlazymacros.com",
helpTxt = "Single Target -- 2,3,3,2,2,2,3",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/startattack
/cast [combat] Ярость берсерка
/cast [combat] Кровавая баня
/cast [combat] Аватара
]],
[[/cast Казнь]],
[[/castsequence reset=60 Буйство,Безрассудство]],
[[/cast Буйство]],
[[/cast [talent:7/1] Вихрь клинков;[talent:7/3] Рев дракона]],
[[/cast Кровожадность]],
[[/cast Яростный выпад]],
[[/cast Неистовый удар сплеча]],
PostMacro = [[
/startattack
/use [combat]13
/use [combat]14
]],
}

Sequences['SSR_Fury2'] = {
specID = 72,
author = "Firone - wowlazymacros.com",
helpTxt = "AOE -- 2,3,3,2,2,2,3",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/startattack
/cast [combat] Ярость берсерка
]],
[[/cast [talent:7/1] Вихрь клинков;[talent:7/3] Рев дракона]],
[[/cast !Вихрь]],
[[/cast !Яростный выпад]],
[[/cast !Кровожадность]],
PostMacro = [[
/cast [combat]Ярость берсерка
/use [combat]13
/use [combat]14
]],
}




Sequences['SSR_Fury3'] = {
specID = 72,
author = "Firone modified by obst- wowlazymacros.com",
helpTxt = "AOE -- 2,3,3,2,2,2,3 Вихрь клинков, Рев дракона, and Безрассудство have also been removed to create better control ass to your bars and use manually",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/startattack
/cast [modifier:alt]Рывок
/cast [combat] Кровавая баня
/cast [combat] Аватара
]],
'/cast Казнь',
'/castsequence reset=60 Буйство',
'/cast Буйство',
'/cast Кровожадность',
'/cast Неистовый удар сплеча',
PostMacro = [[
/startattack
/use [combat]13
/use [combat]14
]],
}

Sequences['SSR_Fury4'] = {
specID = 72,
author = "Firone mod by Obst- wowlazymacros.com ",
helpTxt = "AOE -- 2,3,3,2,2,2,3 Вихрь клинков, Рев дракона, and Безрассудство have also been removed to create better control ass to your bars and use manually",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/startattack
/cast [modifier:alt]Рывок
]],
'/cast !Вихрь',
'/cast !Яростный выпад',
'/cast !Кровожадность',
PostMacro = [[
/use [combat]13
/use [combat]14
]],
}


Sequences['SSR_ProtWar'] = {
specID = 73,
author = "Suiseiseki - wowlazymacros.com",
helpTxt = "Talents: 1223212",
PreMacro = [[
/targetenemy [noharm][dead]
]],
"/castsequence Сокрушение",
"/castsequence Мощный удар щитом",
"/castsequence Реванш",
"/castsequence Стойкость к боли",
"/castsequence Сосредоточенная ярость",
"/castsequence [combat] Удар грома, Блок щитом",
"/castsequence [combat] Ударная волна",
"/castsequence Мощный удар щитом",
'/cast Победный раж',
PostMacro = [[
/cast [combat] Деморализующий крик
/cast [combat] Безрассудство
/use [combat] 13
/use [combat] 14
]],
}
